Test::Int::Exec Namespace Reference

Tests for synchronized execution More...

## Classes

class | IntWait
| Simple test for wait (integer variables). More...
class | BoolWait
| Simple test for wait (Boolean variables). More...
class | When
| Simple test for when. More...

## Variables

IntWait | iw1t (1, true)
IntWait | iw2t (2, true)
IntWait | iw3t (3, true)
IntWait | iw4t (4, true)
IntWait | iw1f (1, false)
IntWait | iw2f (2, false)
IntWait | iw3f (3, false)
IntWait | iw4f (4, false)
BoolWait | bw1t (1, true)
BoolWait | bw2t (2, true)
BoolWait | bw3t (3, true)
BoolWait | bw4t (4, true)
BoolWait | bw1f (1, false)
BoolWait | bw2f (2, false)
BoolWait | bw3f (3, false)
BoolWait | bw4f (4, false)
When | whent (true)
When | whenf (false)

## Detailed Description

Tests for synchronized execution

## Variable Documentation

## iw1t

IntWait Test::Int::Exec::iw1t(1, true) | ( | 1 | ,
|  | true | )

## iw2t

IntWait Test::Int::Exec::iw2t(2, true) | ( | 2 | ,
|  | true | )

## iw3t

IntWait Test::Int::Exec::iw3t(3, true) | ( | 3 | ,
|  | true | )

## iw4t

IntWait Test::Int::Exec::iw4t(4, true) | ( | 4 | ,
|  | true | )

## iw1f

IntWait Test::Int::Exec::iw1f(1, false) | ( | 1 | ,
|  | false | )

## iw2f

IntWait Test::Int::Exec::iw2f(2, false) | ( | 2 | ,
|  | false | )

## iw3f

IntWait Test::Int::Exec::iw3f(3, false) | ( | 3 | ,
|  | false | )

## iw4f

IntWait Test::Int::Exec::iw4f(4, false) | ( | 4 | ,
|  | false | )

## bw1t

BoolWait Test::Int::Exec::bw1t(1, true) | ( | 1 | ,
|  | true | )

## bw2t

BoolWait Test::Int::Exec::bw2t(2, true) | ( | 2 | ,
|  | true | )

## bw3t

BoolWait Test::Int::Exec::bw3t(3, true) | ( | 3 | ,
|  | true | )

## bw4t

BoolWait Test::Int::Exec::bw4t(4, true) | ( | 4 | ,
|  | true | )

## bw1f

BoolWait Test::Int::Exec::bw1f(1, false) | ( | 1 | ,
|  | false | )

## bw2f

BoolWait Test::Int::Exec::bw2f(2, false) | ( | 2 | ,
|  | false | )

## bw3f

BoolWait Test::Int::Exec::bw3f(3, false) | ( | 3 | ,
|  | false | )

## bw4f

BoolWait Test::Int::Exec::bw4f(4, false) | ( | 4 | ,
|  | false | )

## whent

When Test::Int::Exec::whent(true) | ( | true |  | ) |

## whenf

When Test::Int::Exec::whenf(false) | ( | false |  | ) |